flownative/neos-editors

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

A package with additional editors for the Neos inspector

Installs: 68

Dependents: 0

Suggesters: 0

Security: 0

Stars: 1

Watchers: 3

Forks: 0

Open Issues: 7

Language:JavaScript

Type:neos-package


README

GPL-3.0 license Packagist Maintenance level: Acquaintance

Flownative Neos Editors

This package is home to additional editors (and validators) for use with Neos.

Installation

composer require flownative/neos-editors

Usage

To use the included editors, simply configure your property accordingly in NodeTypes.yaml. Here is an example:

properties:
  'yamlProperty':
    type: 'string'
    ui:
      label: 'YAML property'
      inspector:
        group: 'document'
        editor: 'Flownative.Neos.Editors/Inspector/Editors/Yaml'
    validation:
      'Flownative.Neos.Editors/Inspector/Validators/Yaml': []

Available Editors

YAML

Name: Flownative.Neos.Editors/Inspector/Editors/Yaml

The YAML editor provides syntax highlighting for YAML and makes sure no tab characters are used for indentation.

YAML editor

The editor supports buttonLabel as an editorOption, like the CodeEditor in Neos.

Available Validators

YAML

Name: Flownative.Neos.Editors/Inspector/Validators/Yaml

The YAML validator provides validation of YAML. Internally it tries to parse using JS-YAML and fails validation if that throws an exception.

YAML error message

The validator has no options.